#ifndef INC_GTCANVAS_H
#define INC_GTCANVAS_H

#include "gtmanager.h"

/************************************************************************\
*
* GtCanvas class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Resize callback data */
typedef struct GtCanvasCD
{
	XEvent *xevent;
	GtGfx *gfx;
	int xsize;
	int ysize;
	sbool used;
} GtCanvasCD;


class GtCanvas : public GtManager
{
public:
		/* Values */
	void SetEMask(ulong em);
		/* Callbacks */
	void AddCB(ulong tag,GtCallB cb,GtUDPtr ud);
	void RemCB(ulong tag,GtCallB cb);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	sbool Mouse(XEvent *xe);
	sbool Key(XEvent *xe);
	void Layout(void);
protected:
		/* Instance variables */
	GtCBList draw,mouse,key,resize;
};

extern GtCanvas *GtMkCanvas(char *n,GtManager *p,GtTag *tgs);
extern GtCanvas *GtMkCanvas(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTCANVAS_H */
