#ifndef INC_GTTOGGLE_H
#define INC_GTTOGGLE_H

#include "gtbutton.h"

/************************************************************************\
*
* GtToggle class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtRadioGroup;
class GtSymbol;

/* Callback data for GtToggle */
typedef struct GtToggleCD
{
	ulong button;
	ulong state;
	word multi;
	sbool on;
} GtToggleCD;


class GtToggle : public GtButton
{
public:
		/* Standard */
	GtToggle(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtToggle"); }
	sbool IsSubClassOf(char *cn);
		/* Child management */
	sbool AddChild(GtWidget *obj,ulong pos);
		/* Notify */
	void Notify(ulong tag);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	void Arm(ulong button,ulong state);
	void Activate(ulong button,ulong state);
	void DisArm(ulong button,ulong state);
protected:
		/* Instance variables */
	GtRadioGroup *rgrp;
	GtSymbol *ind;
	sbool ton,tbr;
};

extern GtToggle *GtMkToggle(char *n,GtManager *p,GtTag *tgs);
extern GtToggle *GtMkToggle(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTTOGGLE_H */
